Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class ApplicationHolder

    java.lang.Object
      griffon.util.ApplicationHolder

    public class ApplicationHolder
    extends Object

Utility class that holds a reference to the current application.

Usage of this class with Griffon artifacts/addons instances is highly discouraged as those instances should have an `app` property of their own. This class is provided as a convenience for non Griffon artifacts.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`private static GriffonApplication` | `applicationInstance`

Constructor Summary
`ApplicationHolder()`

Method Summary
`static GriffonApplication` | `getApplication()` Returns the current running application.
`static void` | `setApplication(GriffonApplication application)` Stores a reference to an application.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### applicationInstance

    private static GriffonApplication applicationInstance

Constructor Detail

### ApplicationHolder

    ApplicationHolder()

Method Detail

### getApplication

    public static GriffonApplication getApplication()

  Returns the current running application.
  Returns:
    a reference to the current running application

### setApplication

    public static void setApplication(GriffonApplication application)

  Stores a reference to an application.
  Parameters:
    `application` - an application instance

Groovy Documentation